Ht = 4;
translate([0,0,10])
%rotate([0,180,0])import("Sphinx_Y_Plate_WithM5Heads_Rev1.stl");
module M8Hold()
{
    difference()
    {
        union()
        {
            cylinder(d=16.1-.4,h=1,$fn=52);
            translate([0,0,1])
            cylinder(d1=16.1-.4,d2=11.4,h=1.4,$fn=52);
        }
        translate([0,0,-1])
        cylinder(d=8.4,h=4,$fn=40);
    }
}
module CylSphere(CS_OD = 2)
{
    translate([0,0,Ht])
    rotate([180,0,0])
    hull()
    {
        cylinder(d=CS_OD,h=2,$fn=16);
        translate([0,0,Ht-.98])
        sphere(d=CS_OD,$fn=16);
    }
}
module RndCyl()
{
    rotate_extrude(convexity = 10, $fn = 150)
    translate([24, 0, 0])
    circle(d = 2, $fn = 16);
}
module DrawYPlateCover()
{
    difference()
    {
        union()
        {
            hull()
            {
                translate([0,-15.9745+1,1])
                RndCyl();
                translate([0,-15.9745,2])
                cylinder(d=48,h=2,$fn=150);

                translate([0,15.9745-1,1])
                RndCyl();
                translate([0,15.9745,2])
                cylinder(d=48,h=2,$fn=150);

                translate([27.6,-27.5,0])
                CylSphere();
                translate([27.6,26.5,0])
                CylSphere();

                translate([-27.6,-27.5,0])
                CylSphere();
                translate([-27.6,26.5,0])
                CylSphere();

            }
            translate([0,0,Ht])
            M8Hold();
        }
        for (y = [-1,1])
        {
        translate([-2.4,y*30,2])
        cylinder(d1=10.2,d2=12.2,h=2.01,$fn=24);
        translate([-22.4,y*10,2])
        cylinder(d1=10.2,d2=12.2,h=2.01,$fn=24);
        }
        for (x = [-1,1])
        {
            for (y = [-1,1])
            {
                translate([x *23.57,y*23.57,-1])
                cylinder(d=5.8,h=Ht+2,$fn=24);
            }
        }
    }
}
DrawYPlateCover();